List a TAM Preview's members
curl --request GET \
--url https://api.monaco.com/v1/tam/preview/{preview_id}/membersimport requests
url = "https://api.monaco.com/v1/tam/preview/{preview_id}/members"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.monaco.com/v1/tam/preview/{preview_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monaco.com/v1/tam/preview/{preview_id}/members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.monaco.com/v1/tam/preview/{preview_id}/members"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.monaco.com/v1/tam/preview/{preview_id}/members")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monaco.com/v1/tam/preview/{preview_id}/members")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"preview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity": "company",
"disposition": "eligible",
"page": 2,
"page_size": 2,
"total": 1,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_id": "<string>",
"disposition": "eligible",
"company_id": "<string>",
"existing": true,
"reason": "<string>",
"qualification": {},
"data": {}
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found"
}
}TAM
List a TAM Preview's members
One page of a Preview’s members as IDs: by default the companies Import would write (entity=company, disposition=eligible). existing narrows eligible to members already in the workspace; excluded lists the rest with their reason. Members are listed once the Preview is READY.
GET
/
v1
/
tam
/
preview
/
{preview_id}
/
members
List a TAM Preview's members
curl --request GET \
--url https://api.monaco.com/v1/tam/preview/{preview_id}/membersimport requests
url = "https://api.monaco.com/v1/tam/preview/{preview_id}/members"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.monaco.com/v1/tam/preview/{preview_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monaco.com/v1/tam/preview/{preview_id}/members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.monaco.com/v1/tam/preview/{preview_id}/members"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.monaco.com/v1/tam/preview/{preview_id}/members")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monaco.com/v1/tam/preview/{preview_id}/members")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"preview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity": "company",
"disposition": "eligible",
"page": 2,
"page_size": 2,
"total": 1,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_id": "<string>",
"disposition": "eligible",
"company_id": "<string>",
"existing": true,
"reason": "<string>",
"qualification": {},
"data": {}
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found"
}
}Path Parameters
Query Parameters
Available options:
company, person Available options:
eligible, excluded, existing Required range:
x >= 1Required range:
1 <= x <= 500